## Index

### Classes

- CombinatorProperties
- MaterialAllOfRenderer
- MaterialAnyOfRenderer
- MaterialArrayControlRenderer
- MaterialCategorizationLayoutRenderer
- MaterialCategorizationStepperLayoutRenderer
- MaterialDateControl
- MaterialDateTimeControl
- MaterialInputControl
- MaterialNativeControl
- MaterialObjectRenderer
- MaterialOneOfRenderer
- MaterialRadioGroupControl
- MaterialSliderControl
- MaterialTableControl

### Interfaces

- CategorizationState
- CategorizationStepperState
- CombinatorPropertiesProps
- CombinatorSubSchemaRenderInfo
- DateControl
- DeleteDialogProps
- EmptyTableProps
- MaterialAnyOfState
- MaterialCategorizationLayoutRendererProps
- MaterialCategorizationStepperLayoutRendererProps
- MaterialLayoutRendererProps
- MaterialObjectRendererProps
- MaterialOneOfState
- MaterialTableToolbarProps
- NonEmptyCellProps
- NonEmptyRowProps
- OneOfProps
- StatePropsOfDateControl
- TableHeaderCellProps
- ValidationProps
- WithDeleteDialogSupport

### Type aliases

- CombinatorKeyword

### Variables

- ConnectedMaterialAllOfRenderer
- ConnectedMaterialAnyOfRenderer
- ConnectedMaterialArrayLayoutRenderer
- ConnectedMaterialBooleanControl
- ConnectedMaterialHorizontalLayoutRendered
- ConnectedMaterialObjectRenderer
- ConnectedMaterialOneOfRenderer
- groupTester
- isSingleLevelCategorization
- materialAllOfControlTester
- materialAnyOfControlTester
- materialArrayControlTester
- materialArrayLayoutTester
- materialBooleanControlTester
- materialBooleanFieldTester
- materialCategorizationStepperTester
- materialCategorizationTester
- materialDateControlTester
- materialDateFieldTester
- materialDateTimeControlTester
- materialEnumFieldTester
- materialFields
- materialGroupTester
- materialHorizontalLayoutTester
- materialInputControlTester
- materialIntegerFieldTester
- materialLabelRendererTester
- materialNativeControlTester
- materialNumberFieldTester
- materialNumberFormatFieldTester
- materialObjectControlTester
- materialOneOfControlTester
- materialRenderers
- materialSliderControlTester
- materialTextFieldTester
- materialTimeFieldTester
- materialVerticalLayoutTester

### Functions

- DeleteDialog
- EmptyTable
- MaterialArrayLayout
- MaterialArrayLayoutRenderer
- MaterialBooleanControl
- MaterialBooleanField
- MaterialDateField
- MaterialEnumField
- MaterialHorizontalLayoutRenderer
- MaterialIntegerField
- MaterialLabelRenderer
- MaterialLayoutRenderer
- MaterialNumberField
- MaterialNumberFormatField
- MaterialTextField
- MaterialTimeField
- MaterialVerticalLayoutRenderer
- MaterializedGroupLayoutRenderer
- NoBorderTableCell
- NonEmptyCell
- NonEmptyRow
- TableHeaderCell
- TableRows
- TableToolbar
- ValidationIcon
- addLabelProps
- createCombinatorRenderInfos
- createLabel
- generateCells
- getValidColumnProps
- isLayout
- mapStateToCategorizationProps
- mapStateToObjectControlProps
- renderLayoutElements
- resolveSubSchemas

### Object literals

- styles

## Type aliases

### CombinatorKeyword

CombinatorKeyword: "anyOf" | "oneOf" | "allOf"

- Defined in complex/combinators.ts:14

## Variables

### Const ConnectedMaterialAllOfRenderer

ConnectedMaterialAllOfRenderer: ComponentClass<object & OwnPropsOfControl, any> & object = connect(mapStateToControlProps)(MaterialAllOfRenderer)

- Defined in complex/MaterialAllOfRenderer.tsx:45

### Const ConnectedMaterialAnyOfRenderer

ConnectedMaterialAnyOfRenderer: ComponentClass<object & OwnPropsOfControl, any> & object = connect(mapStateToControlProps)(MaterialAnyOfRenderer)

- Defined in complex/MaterialAnyOfRenderer.tsx:62

### Const ConnectedMaterialArrayLayoutRenderer

ConnectedMaterialArrayLayoutRenderer: ComponentClass<object & OwnPropsOfControl, any> & object = connect(mapStateToArrayControlProps,mapDispatchToArrayControlProps)(MaterialArrayLayoutRenderer)

- Defined in layouts/MaterialArrayLayoutRenderer.tsx:81

### Const ConnectedMaterialBooleanControl

ConnectedMaterialBooleanControl: ComponentClass<object & OwnPropsOfControl, any> & object = connect(mapStateToControlProps)(MaterialBooleanControl)

- Defined in controls/MaterialBooleanControl.tsx:57

### Const ConnectedMaterialHorizontalLayoutRendered

ConnectedMaterialHorizontalLayoutRendered: ComponentClass<object & OwnPropsOfRenderer, any> & object = connect(mapStateToLayoutProps)(MaterialHorizontalLayoutRenderer)

- Defined in layouts/MaterialHorizontalLayout.tsx:60

### Const ConnectedMaterialObjectRenderer

ConnectedMaterialObjectRenderer: ComponentClass<object & OwnPropsOfControl, any> & object = connect(mapStateToObjectControlProps,mapDispatchToControlProps)(MaterialObjectRenderer)

- Defined in complex/MaterialObjectRenderer.tsx:67

### Const ConnectedMaterialOneOfRenderer

ConnectedMaterialOneOfRenderer: ComponentClass<object & OwnPropsOfControl, any> & object = connect(mapStateToControlProps,mapDispatchToControlProps)(MaterialOneOfRenderer)

- Defined in complex/MaterialOneOfRenderer.tsx:136

### Const groupTester

groupTester: RankedTester = rankWith(1, uiTypeIs('Group'))

- Defined in layouts/MaterialGroupLayout.tsx:40

### Const isSingleLevelCategorization

isSingleLevelCategorization: Tester = and(uiTypeIs('Categorization'),(uischema: UISchemaElement): boolean => {const categorization = uischema as Categorization;return categorization.elements && categorization.elements.reduce((acc, e) => acc && e.type === 'Category', true);})

- Defined in layouts/MaterialCategorizationLayout.tsx:48

### Const materialAllOfControlTester

materialAllOfControlTester: RankedTester = rankWith(2, isAllOfControl)

- Defined in complex/MaterialAllOfRenderer.tsx:49

### Const materialAnyOfControlTester

materialAnyOfControlTester: RankedTester = rankWith(2, isAnyOfControl)

- Defined in complex/MaterialAnyOfRenderer.tsx:66

### Const materialArrayControlTester

materialArrayControlTester: RankedTester = rankWith(3,or(isObjectArrayControl, isPrimitiveArrayControl))

- Defined in complex/index.ts:46

### Const materialArrayLayoutTester

materialArrayLayoutTester: RankedTester = rankWith(4, isObjectArrayWithNesting)

- Defined in layouts/MaterialArrayLayoutRenderer.tsx:89

### Const materialBooleanControlTester

materialBooleanControlTester: RankedTester = rankWith(2, isBooleanControl)

- Defined in controls/MaterialBooleanControl.tsx:58

### Const materialBooleanFieldTester

materialBooleanFieldTester: RankedTester = rankWith(2, isBooleanControl)

- Defined in fields/MaterialBooleanField.tsx:54

### Const materialCategorizationStepperTester

materialCategorizationStepperTester: RankedTester = rankWith(2,and(uiTypeIs('Categorization'),categorizationHasCategory,optionIs('variant', 'stepper')))

- Defined in layouts/MaterialCategorizationStepperLayout.tsx:48

### Const materialCategorizationTester

materialCategorizationTester: RankedTester = rankWith(1, isSingleLevelCategorization)

- Defined in layouts/MaterialCategorizationLayout.tsx:57

### Const materialDateControlTester

materialDateControlTester: RankedTester = rankWith(4, isDateControl)

- Defined in controls/MaterialDateControl.tsx:160

### Const materialDateFieldTester

materialDateFieldTester: RankedTester = rankWith(2, isDateControl)

- Defined in fields/MaterialDateField.tsx:54

### Const materialDateTimeControlTester

materialDateTimeControlTester: RankedTester = rankWith(2, isDateTimeControl)

- Defined in controls/MaterialDateTimeControl.tsx:106

### Const materialEnumFieldTester

materialEnumFieldTester: RankedTester = rankWith(2, isEnumControl)

- Defined in fields/MaterialEnumField.tsx:71

Default tester for enum controls.

type

  {RankedTester}

### Const materialFields

materialFields: JsonFormsFieldRendererRegistryEntry[] = [{ tester: materialBooleanFieldTester, field: MaterialBooleanField },{ tester: materialDateFieldTester, field: MaterialDateField },{ tester: materialEnumFieldTester, field: MaterialEnumField },{ tester: materialIntegerFieldTester, field: MaterialIntegerField },{ tester: materialNumberFieldTester, field: MaterialNumberField },{ tester: materialNumberFormatFieldTester, field: MaterialNumberFormatField },{ tester: materialTextFieldTester, field: MaterialTextField },{ tester: materialTimeFieldTester, field: MaterialTimeField }]

- Defined in index.ts:135

### Const materialGroupTester

materialGroupTester: RankedTester = withIncreasedRank(1, groupTester)

- Defined in layouts/MaterialGroupLayout.tsx:73

### Const materialHorizontalLayoutTester

materialHorizontalLayoutTester: RankedTester = rankWith(2,uiTypeIs('HorizontalLayout'))

- Defined in layouts/MaterialHorizontalLayout.tsx:41

Default tester for a horizontal layout.

type

  {RankedTester}

### Const materialInputControlTester

materialInputControlTester: RankedTester = rankWith(1, isControl)

- Defined in controls/MaterialInputControl.tsx:110

### Const materialIntegerFieldTester

materialIntegerFieldTester: RankedTester = rankWith(2, isIntegerControl)

- Defined in fields/MaterialIntegerField.tsx:56

### Const materialLabelRendererTester

materialLabelRendererTester: RankedTester = rankWith(1, uiTypeIs('Label'))

- Defined in additional/MaterialLabelRenderer.tsx:43

Default tester for a label.

type

  {RankedTester}

### Const materialNativeControlTester

materialNativeControlTester: RankedTester = rankWith(2,or(isDateControl, isTimeControl))

- Defined in controls/MaterialNativeControl.tsx:87

### Const materialNumberFieldTester

materialNumberFieldTester: RankedTester = rankWith(2, isNumberControl)

- Defined in fields/MaterialNumberField.tsx:59

Default tester for number controls.

type

  {RankedTester}

### Const materialNumberFormatFieldTester

materialNumberFormatFieldTester: RankedTester = rankWith(4, isNumberFormatControl)

- Defined in fields/MaterialNumberFormatField.tsx:85

Default tester for text-based/string controls.

type

  {RankedTester}

### Const materialObjectControlTester

materialObjectControlTester: RankedTester = rankWith(2, isObjectControl)

- Defined in complex/MaterialObjectRenderer.tsx:72

### Const materialOneOfControlTester

materialOneOfControlTester: RankedTester = rankWith(3, isOneOfControl)

- Defined in complex/MaterialOneOfRenderer.tsx:141

### Const materialRenderers

materialRenderers: JsonFormsRendererRegistryEntry[] = [// controls{tester: materialArrayControlTester,renderer: MaterialArrayControlRenderer},{ tester: materialBooleanControlTester, renderer: MaterialBooleanControl },{ tester: materialNativeControlTester, renderer: MaterialNativeControl },{ tester: materialInputControlTester, renderer: MaterialInputControl },{ tester: materialDateTimeControlTester, renderer: MaterialDateTimeControl },{ tester: materialDateControlTester, renderer: MaterialDateControl },{ tester: materialSliderControlTester, renderer: MaterialSliderControl },{ tester: materialObjectControlTester, renderer: MaterialObjectRenderer },{ tester: materialAllOfControlTester, renderer: MaterialAllOfRenderer },{ tester: materialAnyOfControlTester, renderer: MaterialAnyOfRenderer },{ tester: materialOneOfControlTester, renderer: MaterialOneOfRenderer },// layouts{ tester: materialGroupTester, renderer: MaterialGroupLayout },{tester: materialHorizontalLayoutTester,renderer: MaterialHorizontalLayout},{ tester: materialVerticalLayoutTester, renderer: MaterialVerticalLayout },{tester: materialCategorizationTester,renderer: MaterialCategorizationLayout},{tester: materialCategorizationStepperTester,renderer: MaterialCategorizationStepperLayout},{ tester: materialArrayLayoutTester, renderer: MaterialArrayLayout },// additional{ tester: materialLabelRendererTester, renderer: MaterialLabelRenderer }]

- Defined in index.ts:99

### Const materialSliderControlTester

materialSliderControlTester: RankedTester = rankWith(4, isRangeControl)

- Defined in controls/MaterialSliderControl.tsx:124

### Const materialTextFieldTester

materialTextFieldTester: RankedTester = rankWith(1, isStringControl)

- Defined in fields/MaterialTextField.tsx:84

Default tester for text-based/string controls.

type

  {RankedTester}

### Const materialTimeFieldTester

materialTimeFieldTester: RankedTester = rankWith(2, isTimeControl)

- Defined in fields/MaterialTimeField.tsx:54

### Const materialVerticalLayoutTester

materialVerticalLayoutTester: RankedTester = rankWith(1, uiTypeIs('VerticalLayout'))

- Defined in layouts/MaterialVerticalLayout.tsx:41

Default tester for a vertical layout.

type

  {RankedTester}

## Functions

### Const DeleteDialog

- DeleteDialog(__namedParameters: object): Element

- - Defined in complex/DeleteDialog.tsx:22

  #### Parameters

  - ##### __namedParameters: object

    - ##### onCancel: onCancel

    - ##### onClose: onClose

    - ##### onConfirm: onConfirm

    - ##### open: boolean

  #### Returns Element

### Const EmptyTable

- EmptyTable(__namedParameters: object): Element

- - Defined in complex/MaterialTableControl.tsx:118

  #### Parameters

  - ##### __namedParameters: object

    - ##### numColumns: number

  #### Returns Element

### Const MaterialArrayLayout

- MaterialArrayLayout(__namedParameters: object): Element

- - Defined in layouts/MaterialArrayLayout.tsx:44

  #### Parameters

  - ##### __namedParameters: object

    - ##### addItem: addItem

    - ##### createDefaultValue: createDefaultValue

    - ##### data: any

    - ##### errors: string[]

    - ##### findUISchema: findUISchema

    - ##### label: string | Labels

    - ##### path: string

    - ##### removeItems: removeItems

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

  #### Returns Element

### Const MaterialArrayLayoutRenderer

- MaterialArrayLayoutRenderer(__namedParameters: object): Element

- - Defined in layouts/MaterialArrayLayoutRenderer.tsx:40

  #### Parameters

  - ##### __namedParameters: object

    - ##### addItem: addItem

    - ##### createDefaultValue: createDefaultValue

    - ##### data: any

    - ##### enabled: boolean

    - ##### errors: string[]

    - ##### findUISchema: findUISchema

    - ##### id: string

    - ##### path: string

    - ##### removeItems: removeItems

    - ##### rootSchema: JsonSchema4 | JsonSchema7

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialBooleanControl

- MaterialBooleanControl(__namedParameters: object): Element

- - Defined in controls/MaterialBooleanControl.tsx:39

  #### Parameters

  - ##### __namedParameters: object

    - ##### id: string

    - ##### label: string | Labels

    - ##### path: string

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialBooleanField

- MaterialBooleanField(props: FieldProps & WithClassname): Element

- - Defined in fields/MaterialBooleanField.tsx:38

  #### Parameters

  - ##### props: FieldProps & WithClassname

  #### Returns Element

### Const MaterialDateField

- MaterialDateField(props: FieldProps & WithClassname): Element

- - Defined in fields/MaterialDateField.tsx:38

  #### Parameters

  - ##### props: FieldProps & WithClassname

  #### Returns Element

### Const MaterialEnumField

- MaterialEnumField(props: EnumFieldProps & WithClassname): Element

- - Defined in fields/MaterialEnumField.tsx:40

  #### Parameters

  - ##### props: EnumFieldProps & WithClassname

  #### Returns Element

### Const MaterialHorizontalLayoutRenderer

- MaterialHorizontalLayoutRenderer(__namedParameters: object): Element

- - Defined in layouts/MaterialHorizontalLayout.tsx:46

  #### Parameters

  - ##### __namedParameters: object

    - ##### path: string

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialIntegerField

- MaterialIntegerField(props: FieldProps & WithClassname): Element

- - Defined in fields/MaterialIntegerField.tsx:38

  #### Parameters

  - ##### props: FieldProps & WithClassname

  #### Returns Element

### Const MaterialLabelRenderer

- MaterialLabelRenderer(__namedParameters: object): Element

- - Defined in additional/MaterialLabelRenderer.tsx:48

  Default renderer for a label.

  #### Parameters

  - ##### __namedParameters: object

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialLayoutRenderer

- MaterialLayoutRenderer(__namedParameters: object): Element

- - Defined in util/layout.tsx:56

  #### Parameters

  - ##### __namedParameters: object

    - ##### direction: "column" | "row"

    - ##### elements: UISchemaElement[]

    - ##### path: string

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### visible: boolean

  #### Returns Element

### Const MaterialNumberField

- MaterialNumberField(props: FieldProps & WithClassname): Element

- - Defined in fields/MaterialNumberField.tsx:37

  #### Parameters

  - ##### props: FieldProps & WithClassname

  #### Returns Element

### Const MaterialNumberFormatField

- MaterialNumberFormatField(props: FieldProps & WithClassname & Formatted<number>): Element

- - Defined in fields/MaterialNumberFormatField.tsx:39

  #### Parameters

  - ##### props: FieldProps & WithClassname & Formatted<number>

  #### Returns Element

### Const MaterialTextField

- MaterialTextField(props: FieldProps & WithClassname): Element

- - Defined in fields/MaterialTextField.tsx:38

  #### Parameters

  - ##### props: FieldProps & WithClassname

  #### Returns Element

### Const MaterialTimeField

- MaterialTimeField(props: FieldProps & WithClassname): Element

- - Defined in fields/MaterialTimeField.tsx:38

  #### Parameters

  - ##### props: FieldProps & WithClassname

  #### Returns Element

### Const MaterialVerticalLayoutRenderer

- MaterialVerticalLayoutRenderer(__namedParameters: object): Element

- - Defined in layouts/MaterialVerticalLayout.tsx:43

  #### Parameters

  - ##### __namedParameters: object

    - ##### path: string

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterializedGroupLayoutRenderer

- MaterializedGroupLayoutRenderer(props: RendererProps): Element

- - Defined in layouts/MaterialGroupLayout.tsx:42

  #### Parameters

  - ##### props: RendererProps

  #### Returns Element

### Const NoBorderTableCell

- NoBorderTableCell(__namedParameters: object): Element

- - Defined in complex/NoBorderTableCell.tsx:11

  #### Parameters

  - ##### __namedParameters: object

    - ##### children: any

    - ##### classes: any

    - ##### otherProps: any

  #### Returns Element

### Const NonEmptyCell

- NonEmptyCell(__namedParameters: object): Element

- - Defined in complex/MaterialTableControl.tsx:142

  #### Parameters

  - ##### __namedParameters: object

    - ##### errors: any[]

    - ##### propName: string

    - ##### rootSchema: JsonSchema4 | JsonSchema7

    - ##### rowPath: string

    - ##### schema: JsonSchema4 | JsonSchema7

  #### Returns Element

### Const NonEmptyRow

- NonEmptyRow(__namedParameters: object): Element

- - Defined in complex/MaterialTableControl.tsx:194

  #### Parameters

  - ##### __namedParameters: object

    - ##### childErrors: ErrorObject[]

    - ##### childPath: string

    - ##### openDeleteDialog: openDeleteDialog

    - ##### rootSchema: JsonSchema4 | JsonSchema7

    - ##### rowData: any

    - ##### schema: JsonSchema4 | JsonSchema7

  #### Returns Element

### Const TableHeaderCell

- TableHeaderCell(__namedParameters: object): Element

- - Defined in complex/MaterialTableControl.tsx:130

  #### Parameters

  - ##### __namedParameters: object

    - ##### propName: string

  #### Returns Element

### Const TableRows

- TableRows(__namedParameters: object): any

- - Defined in complex/MaterialTableControl.tsx:217

  #### Parameters

  - ##### __namedParameters: object

    - ##### childErrors: ErrorObject[]

    - ##### data: any

    - ##### openDeleteDialog: openDeleteDialog

    - ##### path: string

    - ##### rootSchema: JsonSchema4 | JsonSchema7

    - ##### schema: JsonSchema4 | JsonSchema7

  #### Returns any

### Const TableToolbar

- TableToolbar(__namedParameters: object): Element

- - Defined in complex/TableToolbar.tsx:48

  #### Parameters

  - ##### __namedParameters: object

    - ##### addItem: addItem

    - ##### createDefaultValue: createDefaultValue

    - ##### errors: string[]

    - ##### label: string | Labels

    - ##### labelObject: LabelDescription

    - ##### numColumns: number

    - ##### path: string

  #### Returns Element

### Const ValidationIcon

- ValidationIcon(__namedParameters: object): Element

- - Defined in complex/ValidationIcon.tsx:50

  #### Parameters

  - ##### __namedParameters: object

    - ##### classes: object

    - ##### errorMessages: string[]

    - ##### id: string

  #### Returns Element

### Const addLabelProps

- addLabelProps(mapStateToProps: function): (Anonymous function)

- - Defined in controls/MaterialDateControl.tsx:136

  #### Parameters

  - ##### mapStateToProps: function

    - - (s: JsonFormsState, p: OwnPropsOfControl): StatePropsOfControl

      - #### Parameters

        - ##### s: JsonFormsState

        - ##### p: OwnPropsOfControl

        #### Returns StatePropsOfControl

  #### Returns (Anonymous function)

### Const createCombinatorRenderInfos

- createCombinatorRenderInfos(combinatorSubSchemas: JsonSchema[], rootSchema: JsonSchema, keyword: CombinatorKeyword): CombinatorSubSchemaRenderInfo[]

- - Defined in complex/combinators.ts:46

  #### Parameters

  - ##### combinatorSubSchemas: JsonSchema[]

  - ##### rootSchema: JsonSchema

  - ##### keyword: CombinatorKeyword

  #### Returns CombinatorSubSchemaRenderInfo[]

### Const createLabel

- createLabel(subSchema: JsonSchema, subSchemaIndex: number, keyword: CombinatorKeyword): string

- - Defined in complex/combinators.ts:16

  #### Parameters

  - ##### subSchema: JsonSchema

  - ##### subSchemaIndex: number

  - ##### keyword: CombinatorKeyword

  #### Returns string

### Const generateCells

- generateCells(Cell: React.ComponentType<NonEmptyCellProps | TableHeaderCellProps>, rootSchema: JsonSchema, schema: JsonSchema, rowPath: string, cellErrors?: any[]): Element | Element[]

- - Defined in complex/MaterialTableControl.tsx:67

  #### Parameters

  - ##### Cell: React.ComponentType<NonEmptyCellProps | TableHeaderCellProps>

  - ##### rootSchema: JsonSchema

  - ##### schema: JsonSchema

  - ##### rowPath: string

  - ##### Optional cellErrors: any[]

  #### Returns Element | Element[]

### Const getValidColumnProps

- getValidColumnProps(scopedSchema: JsonSchema): string[]

- - Defined in complex/MaterialTableControl.tsx:104

  #### Parameters

  - ##### scopedSchema: JsonSchema

  #### Returns string[]

### Const isLayout

- isLayout(uischema: UISchemaElement): boolean

- - Defined in complex/CombinatorProperties.tsx:12

  #### Parameters

  - ##### uischema: UISchemaElement

  #### Returns boolean

### Const mapStateToCategorizationProps

- mapStateToCategorizationProps(state: JsonFormsState, ownProps: StatePropsOfRenderer): MaterialCategorizationLayoutRendererProps & StatePropsOfLayout
- mapStateToCategorizationProps(state: JsonFormsState, ownProps: StatePropsOfRenderer): MaterialCategorizationStepperLayoutRendererProps & StatePropsOfLayout

- - Defined in layouts/MaterialCategorizationLayout.tsx:121

  #### Parameters

  - ##### state: JsonFormsState

  - ##### ownProps: StatePropsOfRenderer

  #### Returns MaterialCategorizationLayoutRendererProps & StatePropsOfLayout

- - Defined in layouts/MaterialCategorizationStepperLayout.tsx:115

  #### Parameters

  - ##### state: JsonFormsState

  - ##### ownProps: StatePropsOfRenderer

  #### Returns MaterialCategorizationStepperLayoutRendererProps & StatePropsOfLayout

### Const mapStateToObjectControlProps

- mapStateToObjectControlProps(state: JsonFormsState, ownProps: OwnPropsOfControl): object

- - Defined in complex/MaterialObjectRenderer.tsx:59

  #### Parameters

  - ##### state: JsonFormsState

  - ##### ownProps: OwnPropsOfControl

  #### Returns object

  - ##### findUiSchema: function

    - - (schema: JsonSchema, schemaPath: string, path: string, fallbackLayoutType?: string, control?: ControlElement): UISchemaElement

      - #### Parameters

        - ##### schema: JsonSchema

        - ##### schemaPath: string

        - ##### path: string

        - ##### Optional fallbackLayoutType: string

        - ##### Optional control: ControlElement

        #### Returns UISchemaElement

### Const renderLayoutElements

- renderLayoutElements(elements: UISchemaElement[], schema: JsonSchema, path: string): Element[]

- - Defined in util/layout.tsx:35

  #### Parameters

  - ##### elements: UISchemaElement[]

  - ##### schema: JsonSchema

  - ##### path: string

  #### Returns Element[]

### Const resolveSubSchemas

- resolveSubSchemas(schema: JsonSchema, rootSchema: JsonSchema, keyword: CombinatorKeyword): JsonSchema4 | JsonSchema7

- - Defined in complex/combinators.ts:28

  #### Parameters

  - ##### schema: JsonSchema

  - ##### rootSchema: JsonSchema

  - ##### keyword: CombinatorKeyword

  #### Returns JsonSchema4 | JsonSchema7

## Object literals

### Const styles

- styles(__namedParameters: object): object

- - Defined in complex/ValidationIcon.tsx:39

  #### Parameters

  - ##### __namedParameters: object

    - ##### palette: Palette

  #### Returns object

  - ##### badge: object

    - ##### color: string

### fixedCell

fixedCell: object

- Defined in complex/MaterialTableControl.tsx:58

### height

height: string = "50px"

- Defined in complex/MaterialTableControl.tsx:60

### paddingLeft

paddingLeft: number = 0

- Defined in complex/MaterialTableControl.tsx:61

### paddingRight

paddingRight: number = 0

- Defined in complex/MaterialTableControl.tsx:62

### textAlign

textAlign: string = "center"

- Defined in complex/MaterialTableControl.tsx:63

### width

width: string = "50px"

- Defined in complex/MaterialTableControl.tsx:59

### noBottomBorder

noBottomBorder: object

- Defined in complex/NoBorderTableCell.tsx:6

### borderBottom

borderBottom: string = "none"

- Defined in complex/NoBorderTableCell.tsx:7

Generated using TypeDoc